=== common/lib/modules/fglrx/build_mod/firegl_agpgart/Makefile ===
obj-m += fglrx_agp.o 
fglrx_agp-objs := backend.o generic.o isoch.o intel-agp.o ali-agp.o firegl_wrap.o firegl_agp.o
fglrx_agp-hdrs := agp.h firegl_agp.h firegl_wrap.h firegl_wrapper.h


KVER            = $(shell uname -r)
ifeq (1,1)
KDIR            = /lib/modules/$(KVER)/build
else
KDIR            = /usr/src/linux-$(KVER)
endif

PWD := $(shell pwd)

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -D__AGP__ \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

default:
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean::
	rm -f *.o *.ko *.GCC* .??*
