## fglrx-driver 8.47.3

=== common/lib/modules/fglrx/build_mod/2.6.x/Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')
+
+LIBIP_PREFIX	?= ..
 
 obj-m           += fglrx.o
 fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)
-fglrx-c-objs    += agp3.o nvidia-agp.o agpgart_be.o i7505-agp.o firegl_public.o
+fglrx-c-objs    += firegl_public.o
 fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)
-fglrx-hdrs      += agp_backend.h agp.h firegl_public.h
+fglrx-hdrs      += firegl_public.h fglrxko_pci_ids.h
 drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h
 
 ifeq ($(PAGE_ATTR_FIX),)
@@ -13,7 +15,6 @@
 
 EXTRA_CFLAGS    += \
                 -I$(PWD) \
-                -D__AGP__ \
                 -DFGL \
                 -DFGL_LINUX \
                 -DFGL_GART_RESERVED_SLOT \
@@ -48,7 +49,7 @@
 	@ln -s ../$@
 
 %.GCC$(GCC_VER_MAJ):
-	@ln -s ../$@
+	@ln -s $(LIBIP_PREFIX)/$@
 
 # distclean:: clean
