## fglrx-driver 10-9

=== debian/changelog ===
fglrx-driver (1:10-9-3squeeze1) stable; urgency=low

  * Fix upgrades from lenny:  (Closes: #696155)
  * fglrx-glx{,-ia32}.preinst: Create diversions on upgrades, too.
  * fglrx-driver.preinst: Move removal of old libdri.so diversion to postinst.
    The fglrx-driver package in lenny shipped the diverted file, so on
    upgrades from lenny this still exists at the time the preinst is run.
  * fglrx-glx-ia32.postinst: Remove obsolete diversions in /emul/ia32-linux
    created by the packages in lenny.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Feb 2013 19:16:33 +0100

fglrx-driver (1:10-9-3) unstable; urgency=high

  * Avoid attempting to build dkms modules for virtual linux-image packages
    (closes: #597792).
  * Use a kernel headers path that's also available to locally built kernels
    (closes: #597783).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Wed, 22 Sep 2010 22:58:52 -0400

fglrx-driver (1:10-9-2) unstable; urgency=high

  * Use arch_compat_alloc_user_space in place of the now unavailable
    comat_alloc_user_space function in newer kernels (closes: #597478).
    - Thanks to Ubuntu (Evan Broder) for the inspiration for a more robust fix.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 19 Sep 2010 22:53:35 -0400

fglrx-driver (1:10-9-1) unstable; urgency=low

  * New upstream release.
    - Most DDX bugs are fixed now. If you still get some screen regressions,
      please report a new bug.
      Closes: #587824

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Sep 2010 18:00:05 +0200

fglrx-driver (1:10-8-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #594606
    - Now the textures in supertuxkart are realy rendered correctly.
      Closes: #586797
  * Start atieventsd before $x-display-manager.
    Closes: #593703
  * Depend on virtual package xorg-video-abi-6.0 and provide xorg-driver-video.
    Closes: #585433

  [ Michael Gilbert ]
  * Build modules for all installed kernel packages rather than only for the
    currently active/running kernel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Aug 2010 09:05:52 +0200

fglrx-driver (1:10-7-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use fglrx module makefile instead of its make.sh script (this has the
    added bonus of making dkms autoupdate for all installed kernels; thus
    making module rebuilds for ABI bumps automatic).
    Closes: #588447
  * Fix typo in atiode manpage.
    Closes: #586808

  [ Patrick Matthäi ]
  * New upstream release.
    - Remove patch 06-build-with-2.6.34.diff, merged by upstream.
    - This release should fix the texture rendering problem with supertuxkart.
      Closes: #586797
    - xserver crashes without a defined BusID should be gone now.
      Closes: #587708
  * Remove Bertrand Marc from uploaders. Thanks for your previous work!
  * Reference to the radeon driver, instead of the deprecated radeonhd one.
  * Bump Standards-Version to 3.9.1.
    - Move some conflicts to breaks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 26 Jul 2010 21:19:32 +0200

fglrx-driver (1:10-6-1) unstable; urgency=low

  * New upstream release.
    - Refresh 01-CONFIG_X86_XEN.diff.
    - Drop patch 05_fix_cmpxchg.diff, merged by upstream.
  * Add danish translation from Joe Dalton.
    Closes: #584290

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Jun 2010 10:55:06 +0200

fglrx-driver (1:10-5-1) unstable; urgency=low

  * New upstream release.
    - Drop patch 02-add-new-cards.diff, merged by upstream.
  * s/approriate/appropriate/ in fglrx-modules-dkms long description.
    Closes: #582662

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 May 2010 12:51:48 +0200

fglrx-driver (1:10-4-2) unstable; urgency=low

  * The fglrx-driver package conflicts against the nvidia-glx package.
    Closes: #581776
  * Fix a few typos in the long descriptions.
    Closes: #581954
  * Update to the new fglrx 10-4 release. AMD silently updated the original
    tarball. This patch adds support for new cards.
  * Speed up package building by adding --ignore options in debian/rules.
  * Add patch 06-build-with-2.6.34.diff to build against Linux 2.6.34.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 May 2010 21:48:55 +0200

fglrx-driver (1:10-4-1) unstable; urgency=low

  * New upstream release.
    - And again the paths have been changed, thanks Ubuntu..
  * Add spanish translation from Ricardo Fraile.
    Closes: #579516

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Apr 2010 19:09:04 +0200

fglrx-driver (1:10-4~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Use a better reference for known supported hardware in the fglrx manpage.

  [ Patrick Matthäi ]
  * New upstream pre-release.
    - Segfaulting of the driver is now fixed.
      Closes: #576575
    - The compositing problems with KDE should be fixed now, too.
      Closes: #571036
    - Rediff all patches, because of changed paths in the tarball.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Apr 2010 18:03:49 +0200

fglrx-driver (1:10-3~prerelease-3) unstable; urgency=low

  * Please note: This release is in real the 10-4 pre-release.
  * Refresh 05_fix_cmpxchg.diff, so that fglrx now realy builds with Linux
    2.6.33.
    Closes: #571272

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 19:27:54 +0100

fglrx-driver (1:10-3~prerelease-2) unstable; urgency=low

  * Add workaround, so that the i386 package, does not depend on a amd64
    only package.
    Closes: #574973
  * Fix supported hardwares of fglrx in the documentations.
    Closes: #574916

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Mar 2010 18:14:54 +0100

fglrx-driver (1:10-3~prerelease-1) unstable; urgency=low

  [ Michael Gilbert ]
  * New upstream pre-release.
    - Upstream 8.721 pre-release tarball copied directly from Ubuntu, thanks!
    - Now supports xorg 7.5!
      Closes: #564444
  * Remove fglrxrc manpage since there is no fglrxrc binary anymore.

