=== debian/control ===
Source: fglrx-driver
Section: non-free/x11
Priority: extra
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>, Michael Gilbert <michael.s.gilbert@gmail.com>
Build-Depends: debhelper (>= 7), quilt, bzip2, ia32-libs [amd64], libx11-6, libxext6,
 libgl1-mesa-glx, libxrandr2, libice6, libsm6, libfontconfig1, libxi6, libxcursor1,
 xsltproc, rpl, docbook-xml (>= 4.4), docbook-xsl (>= 1.70.1), libxinerama-dev,
 libqt4-dev, chrpath, autogen, automake
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-fglrx/fglrx-driver/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fglrx/fglrx-driver/trunk
XS-Autobuild: yes
Homepage: http://ati.amd.com/support/drivers/linux/linux-radeon.html

Package: fglrx-driver
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, xserver-xorg (>= 1:7.5+1),
 laptop-detect, xorg-video-abi-6.0
Recommends: fglrx-modules-dkms (= ${binary:Version}) | fglrx-source (= ${binary:Version}),
 fglrx-glx, fglrx-glx-ia32 [amd64], fglrx-atieventsd
Provides: xorg-driver-video
Conflicts: ia32-fglrx-driver, nvidia-glx
Suggests: fglrx-control
Description: non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL
 for X.Org version 7.1. For 3D acceleration to work, you will need to
 compile the fglrx kernel module for your kernel: see the fglrx-source
 package. Note that the driver will work without the kernel module, but 3D
 acceleration will be disabled.
 .
 The driver can work with plain mesa libGL, but some applications may require
 the proprietary libGL. This library is shipped in the fglrx-glx package.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.
 .
 This driver will replace parts of your X11 and Mesa system.

Package: fglrx-glx
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver (= ${binary:Version})
Conflicts: nvidia-glx
Description: proprietary libGL for the non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides the proprietary libGL shipped by ATI.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.

Package: fglrx-glx-ia32
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver (= ${binary:Version})
Pre-Depends: libc6-i386 (>= 2.9-18)
Conflicts: nvidia-glx-ia32, ia32-fglrx-glx
Description: proprietary libGL for the non-free AMD/ATI display driver (ia32 libs)
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 This package provides the proprietary 32 bit libGL shipped by ATI for
 emulated userspace on amd64.
 .
 This driver is not free. As an alternative, you may try the newest free
 driver xserver-xorg-video-radeon.

Package: fglrx-source
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, debhelper (>= 5), make, bzip2
Recommends: module-assistant | kernel-package
Suggests: fglrx-driver
Replaces: fglrx-kernel-src (<< 1:8-4-2)
Breaks: fglrx-kernel-src (<< 1:8-4-2)
Description: kernel module source for the non-free AMD/ATI r6xx - r7xx display driver
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the AMD/ATI
 proprietary display driver.

Package: fglrx-modules-dkms
Section: non-free/kernel
Architecture: i386 amd64
Depends: ${misc:Depends}, dkms
Suggests: fglrx-driver
Description: dkms module source for the non-free AMD/ATI r6xx - r7xx display driver
 This package provides the kernel build environment and the fglrx modules,
 which are necessary to have accelerated 3D support within the AMD/ATI
 proprietary display driver.
 .
 This package contains the source for the fglrx kernel module, packaged with
 appropriate configuration for DKMS to build new modules dynamically.

Package: fglrx-control
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fglrx-driver
Provides: fglrx-control-qt3
Replaces: fglrx-control-qt3, fglrx-amdcccle
Conflicts: fglrx-control-qt3, fglrx-control-qt2
Description: control panel for the non-free AMD/ATI r5xx, r6xx, r7xx display driver
 Control panel for the ATI recent Radeon and FireGL graphics cards.
 .
 The control panel shows detailed information on your display adapter
 and allows you to set dual screen options, adjust gamma correction
 and set TV out options.

Package: fglrx-atieventsd
Architecture: i386 amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, xserver-xorg (>= 1:7.4+1), lsb-base
Recommends: fglrx-driver (= ${binary:Version}), acpid
Replaces: fglrx-driver (<< 1:8-4-2)
Breaks: fglrx-driver (<< 1:8-4-2)
Description: external events daemon for the non-free AMD/ATI r6xx - r7xx display driver
 Display driver for the ATI recent Radeon and FireGL graphics cards.
 .
 The ATI External Events Daemon atieventsd is a user-level application
 that monitors various system events such as ACPI or hotplug, then
 notifies the driver via the X extensions interface that the event has
 occured.
 .
 This package provides the atieventsd daemon.
